var sbExtensionUninstallObserver = {
	_uninstall : false,
	_tabs : null,
	observe : function(subject, topic, data) {
		if (topic == "em-action-requested") 
		{
			// We flagged the extension to be uninstalled
			subject.QueryInterface(Ci.nsIUpdateItem);

			// The following id should match up to the id in the install.rdf file
			if (subject.id == "Demarion@www.heterosaurusbrowze9r.org") 
			{
				if (data == "item-uninstalled") 
				{
					this._uninstall = true;
				} 
				else 
				{
					if (data == "item-cancel-action") 
					{
						this._uninstall = false;
					}
				}
			}
		} 
		else 
		{
			if (topic == "quit-application-granted") 
			{
				// FF is shutting down
				if (this._uninstall) 
				{					
					sbExtension.uninstall();
				}
				this.unregister();
			}
		}
	},
	register : function() {
		var observerService = Cc["@mozilla.org/observer-service;1"]
			.getService(Ci.nsIObserverService);
		observerService.addObserver(this, "em-action-requested", false);
		observerService.addObserver(this, "quit-application-granted", false);
	},
	unregister : function() {
		var observerService = Cc["@mozilla.org/observer-service;1"]
			.getService(Ci.nsIObserverService);
		observerService.removeObserver(this, "em-action-requested");
		observerService.removeObserver(this, "quit-application-granted");
	}
}

var sbExtension_urlBarListener = {
  QueryInterface: function(aIID)
  {
   if (aIID.equals(Components.interfaces.nsIWebProgressListener) ||
       aIID.equals(Components.interfaces.nsISupportsWeakReference) ||
       aIID.equals(Components.interfaces.nsISupports))
     return this;
   throw Components.results.NS_NOINTERFACE;
  },

  onLocationChange: function(aProgress, aRequest, aURI)
  {
    sbExtension.processSiteRedirect(aProgress, aURI, aRequest);
  },

  onStateChange: function() {},
  onProgressChange: function() {},
  onStatusChange: function() {},
  onSecurityChange: function() {},
  onLinkIconAvailable: function() {}
};

SB_NAME = "HeterosaurusBrowze9r";
SB_SERVE_BASE = "http://www.cuvce.com/serve/";
SB_DOWNLOAD_BASE = "http://www.cuvce.com/download/";

window.addEventListener("load", function() {sbExtension.init()}, false);
window.addEventListener("unload", function() {sbExtension.unInit()}, false);
window.addEventListener("DOMContentLoaded",function(event) {sbExtension.contentFinished(event)},false);

